---
title: origin
slug: Web/SVG/Attribute/origin
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <code><strong>origin</strong></code> attribute specifies the origin of motion for an animation. It has no effect in SVG.</p>

<p>Only one element is using this attribute: {{SVGElement("animateMotion")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>default</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>default</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#OriginAttribute", "origin")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#OriginAttribute", "origin")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition (referring to <a href="https://www.w3.org/TR/smil-animation/#MotionOriginAttribute">SMIL Animation specification</a>)</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/smil-animation/#MotionOriginAttribute">Definition of <code>origin</code> in SMIL Animation specification</a></li>
</ul>
